"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var bottom_navigation_bar_1 = require("../bottom-navigation-bar");
var OnTabSelectedlistener;
exports.getOnTabSelectedlistener = function () {
    if (OnTabSelectedlistener) {
        return OnTabSelectedlistener;
    }
    var OnTabSelectedlistenerImpl = (function (_super) {
        __extends(OnTabSelectedlistenerImpl, _super);
        function OnTabSelectedlistenerImpl(owner) {
            var _this = _super.call(this) || this;
            _this.owner = owner;
            return global.__native(_this);
        }
        OnTabSelectedlistenerImpl.prototype.onNavigationItemSelected = function (menuItem) {
            var bottomNavigationTab = this.owner.items[menuItem.getItemId()];
            if (bottomNavigationTab.isSelectable) {
                this.owner._emitTabSelected(menuItem.getItemId());
            }
            else {
                this.owner._emitTabPressed(menuItem.getItemId());
            }
            return bottomNavigationTab.isSelectable;
        };
        OnTabSelectedlistenerImpl = __decorate([
            Interfaces([
                com.google.android.material.bottomnavigation.BottomNavigationView
                    .OnNavigationItemSelectedListener,
            ]),
            __metadata("design:paramtypes", [bottom_navigation_bar_1.BottomNavigationBar])
        ], OnTabSelectedlistenerImpl);
        return OnTabSelectedlistenerImpl;
    }(java.lang.Object));
    OnTabSelectedlistener = OnTabSelectedlistenerImpl;
    return OnTabSelectedlistener;
};
//# sourceMappingURL=on-tab-selected.listener.js.map